Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.openide.src 1.8.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openide.src.nodes
Class ClassElementNode

    java.lang.Object
      java.beans.FeatureDescriptor
          org.openide.nodes.Node
              org.openide.nodes.AbstractNode
                  org.openide.src.nodes.ElementNode
                      org.openide.src.nodes.MemberElementNode
                          org.openide.src.nodes.ClassElementNode

All Implemented Interfaces:
  ElementProperties, HelpCtx.Provider, Lookup.Provider

    public class ClassElementNode

extends MemberElementNode

Node representing a Java class.

See Also:
  `ClassElement`

Nested Class Summary

Nested classes/interfaces inherited from class org.openide.nodes.Node
`Node.Cookie, Node.Handle, Node.IndexedProperty, Node.Property, Node.PropertySet`

Field Summary
`static String` | `CLASS`
`static String` | `CONSTRUCTOR_PACKAGE`
`static String` | `CONSTRUCTOR_PRIVATE`
`static String` | `CONSTRUCTOR_PROTECTED`
`static String` | `CONSTRUCTOR_PUBLIC`
`static String` | `CONSTRUCTORS_CATEGORY`
`static String` | `ERROR`
`static String` | `FIELD_PACKAGE`
`static String` | `FIELD_PRIVATE`
`static String` | `FIELD_PROTECTED`
`static String` | `FIELD_PUBLIC`
`static String` | `FIELD_ST_PACKAGE`
`static String` | `FIELD_ST_PRIVATE`
`static String` | `FIELD_ST_PROTECTED`
`static String` | `FIELD_ST_PUBLIC`
`static String` | `FIELDS_CATEGORY`
`static String` | `INITIALIZER`
`static String` | `INITIALIZER_ST`
`static String` | `INTERFACE`
`static String` | `METHOD_PACKAGE`
`static String` | `METHOD_PRIVATE`
`static String` | `METHOD_PROTECTED`
`static String` | `METHOD_PUBLIC`
`static String` | `METHOD_ST_PACKAGE`
`static String` | `METHOD_ST_PRIVATE`
`static String` | `METHOD_ST_PROTECTED`
`static String` | `METHOD_ST_PUBLIC`
`static String` | `METHODS_CATEGORY`
`static String` | `WAIT`

Fields inherited from class org.openide.src.nodes.ElementNode
`element, elementFormat, sourceOptions, writeable`

Fields inherited from class org.openide.nodes.AbstractNode
`displayFormat, systemActions`

Fields inherited from class org.openide.nodes.Node
`EMPTY, PROP_COOKIE, PROP_DISPLAY_NAME, PROP_ICON, PROP_LEAF, PROP_NAME, PROP_OPENED_ICON, PROP_PARENT_NODE, PROP_PROPERTY_SETS, PROP_SHORT_DESCRIPTION`

Fields inherited from interface org.openide.src.ElementProperties
`PROP_ALL_CLASSES, PROP_BODY, PROP_CLASS_OR_INTERFACE, PROP_CLASSES, PROP_CONSTRUCTORS, PROP_EXCEPTIONS, PROP_FIELDS, PROP_IMPORTS, PROP_INIT_VALUE, PROP_INITIALIZERS, PROP_INTERFACES, PROP_JAVADOC, PROP_MEMBERS, PROP_METHODS, PROP_MODIFIERS, PROP_NAME, PROP_PACKAGE, PROP_PARAMETERS, PROP_RETURN, PROP_STATIC, PROP_STATUS, PROP_SUPERCLASS, PROP_TYPE, PROP_VALID`

Constructor Summary
`ClassElementNode(ClassElement element, Children children, boolean writeable)` Create a new class node.

Method Summary
`Transferable` | `clipboardCopy()`
`Transferable` | `clipboardCut()`
`protected Node.Property` | `createInterfacesProperty(boolean canW)` Create a node property for the implemented interfaces of this class.
`protected void` | `createPasteTypes(Transferable t, List s)`
`protected Sheet` | `createSheet()`
`protected Node.Property` | `createSuperclassProperty(boolean canW)` Create a node property for the superclass of this class.
`void` | `destroy()` Remove this class from its declaring class or source file.
`Component` | `getCustomizer()`
`HelpCtx` | `getHelpCtx()`
`protected ElementFormat` | `getHintElementFormat()` Get a format for creating this node's `short description`.
`protected String[]` | `getIconAffectingProperties()` Get the names of all element properties which might affect the choice of icon.
`NewType[]` | `getNewTypes()`
`boolean` | `hasCustomizer()`
`protected String` | `resolveIconBase()` Get the currently appropriate icon base.

Methods inherited from class org.openide.src.nodes.MemberElementNode
`createModifiersProperty, createNameProperty, setName`

Methods inherited from class org.openide.src.nodes.ElementNode
`canCopy, canCut, canDestroy, canRename, equals, getCookie, getElementFormat, getHandle, getPropertySets, getShortDescription, hashCode, setActions, setElementFormat`

Methods inherited from class org.openide.nodes.AbstractNode
`cloneNode, createActions, drag, getActions, getCookieSet, getDefaultAction, getDropType, getIcon, getOpenedIcon, getPasteTypes, getPreferredAction, getSheet, setCookieSet, setDefaultAction, setIconBase, setIconBaseWithExtension, setSheet`

Methods inherited from class org.openide.nodes.Node
`addNodeListener, addPropertyChangeListener, clone, fireCookieChange, fireDisplayNameChange, fireIconChange, fireNameChange, fireNodeDestroyed, fireOpenedIconChange, firePropertyChange, firePropertySetsChange, fireShortDescriptionChange, getActions, getChildren, getContextActions, getContextMenu, getHtmlDisplayName, getLookup, getParentNode, hasPropertyChangeListener, isLeaf, removeNodeListener, removePropertyChangeListener, setChildren, setDisplayName, setShortDescription, toString`

Methods inherited from class java.beans.FeatureDescriptor
`attributeNames, getDisplayName, getName, getValue, isExpert, isHidden, isPreferred, setExpert, setHidden, setPreferred, setValue`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### FIELD_PUBLIC

    public static final String FIELD_PUBLIC

See Also:
  Constant Field Values

### FIELD_PROTECTED

    public static final String FIELD_PROTECTED

See Also:
  Constant Field Values

### FIELD_PRIVATE

    public static final String FIELD_PRIVATE

See Also:
  Constant Field Values

### FIELD_PACKAGE

    public static final String FIELD_PACKAGE

See Also:
  Constant Field Values

### FIELD_ST_PUBLIC

    public static final String FIELD_ST_PUBLIC

See Also:
  Constant Field Values

### FIELD_ST_PROTECTED

    public static final String FIELD_ST_PROTECTED

See Also:
  Constant Field Values

### FIELD_ST_PRIVATE

    public static final String FIELD_ST_PRIVATE

See Also:
  Constant Field Values

### FIELD_ST_PACKAGE

    public static final String FIELD_ST_PACKAGE

See Also:
  Constant Field Values

### CONSTRUCTOR_PUBLIC

    public static final String CONSTRUCTOR_PUBLIC

See Also:
  Constant Field Values

### CONSTRUCTOR_PROTECTED

    public static final String CONSTRUCTOR_PROTECTED

See Also:
  Constant Field Values

### CONSTRUCTOR_PRIVATE

    public static final String CONSTRUCTOR_PRIVATE

See Also:
  Constant Field Values

### CONSTRUCTOR_PACKAGE

    public static final String CONSTRUCTOR_PACKAGE

See Also:
  Constant Field Values

### METHOD_PUBLIC

    public static final String METHOD_PUBLIC

See Also:
  Constant Field Values

### METHOD_PROTECTED

    public static final String METHOD_PROTECTED

See Also:
  Constant Field Values

### METHOD_PRIVATE

    public static final String METHOD_PRIVATE

See Also:
  Constant Field Values

### METHOD_PACKAGE

    public static final String METHOD_PACKAGE

See Also:
  Constant Field Values

### METHOD_ST_PUBLIC

    public static final String METHOD_ST_PUBLIC

See Also:
  Constant Field Values

### METHOD_ST_PROTECTED

    public static final String METHOD_ST_PROTECTED

See Also:
  Constant Field Values

### METHOD_ST_PRIVATE

    public static final String METHOD_ST_PRIVATE

See Also:
  Constant Field Values

### METHOD_ST_PACKAGE

    public static final String METHOD_ST_PACKAGE

See Also:
  Constant Field Values

### INITIALIZER

    public static final String INITIALIZER

See Also:
  Constant Field Values

### INITIALIZER_ST

    public static final String INITIALIZER_ST

See Also:
  Constant Field Values

### CLASS

    public static final String CLASS

See Also:
  Constant Field Values

### INTERFACE

    public static final String INTERFACE

See Also:
  Constant Field Values

### WAIT

    public static final String WAIT

See Also:
  Constant Field Values

### ERROR

    public static final String ERROR

See Also:
  Constant Field Values

### FIELDS_CATEGORY

    public static final String FIELDS_CATEGORY

See Also:
  Constant Field Values

### CONSTRUCTORS_CATEGORY

    public static final String CONSTRUCTORS_CATEGORY

See Also:
  Constant Field Values

### METHODS_CATEGORY

    public static final String METHODS_CATEGORY

See Also:
  Constant Field Values

Constructor Detail

### ClassElementNode

    public ClassElementNode(ClassElement element,
                            Children children,
                            boolean writeable)

  Create a new class node.

  Parameters:
    `element` - class element to represent
    `children` - node children
    `writeable` - `true` to be writable

Method Detail

### getHelpCtx

    public HelpCtx getHelpCtx()

  Specified by:
    `getHelpCtx` in interface `HelpCtx.Provider`
  Overrides:
    `getHelpCtx` in class `ElementNode`

### resolveIconBase

    protected String resolveIconBase()

  Description copied from class: `ElementNode`
  Get the currently appropriate icon base. Subclasses should make this sensitive to the state of the element--for example, a private variable may have a different icon than a public one. The icon will be automatically changed whenever a `relevant` change is made to the element.

  Specified by:
    `resolveIconBase` in class `ElementNode`
  Returns:
    icon base
  See Also:
    `AbstractNode.setIconBase(java.lang.String)`

### getIconAffectingProperties

    protected String[] getIconAffectingProperties()

  Description copied from class: `ElementNode`
  Get the names of all element properties which might affect the choice of icon. The default implementation just returns `ElementProperties.PROP_MODIFIERS`.

  Overrides:
    `getIconAffectingProperties` in class `ElementNode`
  Returns:
    the property names, from `ElementProperties`

### getHintElementFormat

    protected ElementFormat getHintElementFormat()

  Description copied from class: `ElementNode`
  Get a format for creating this node's `short description`.

  Specified by:
    `getHintElementFormat` in class `ElementNode`

### createSheet

    protected Sheet createSheet()

  Overrides:
    `createSheet` in class `AbstractNode`

### destroy

    public void destroy()
                 throws IOException

  Remove this class from its declaring class or source file.

  Overrides:
    `destroy` in class `Node`
  Throws:
    `IOException` - if the containing element refuses to delete it

### getCustomizer

    public Component getCustomizer()

  Overrides:
    `getCustomizer` in class `AbstractNode`

### hasCustomizer

    public boolean hasCustomizer()

  Overrides:
    `hasCustomizer` in class `AbstractNode`

### createPasteTypes

    protected void createPasteTypes(Transferable t,
                                    List s)

  Overrides:
    `createPasteTypes` in class `AbstractNode`

### createSuperclassProperty

    protected Node.Property createSuperclassProperty(boolean canW)

  Create a node property for the superclass of this class.

  Parameters:
    `canW` - if `false`, property will be read-only
  Returns:
    the property

### createInterfacesProperty

    protected Node.Property createInterfacesProperty(boolean canW)

  Create a node property for the implemented interfaces of this class. (Or, extended interfaces if this is itself an interface.)

  Parameters:
    `canW` - if `false`, property will be read-only
  Returns:
    the property

### getNewTypes

    public NewType[] getNewTypes()

  Overrides:
    `getNewTypes` in class `AbstractNode`

### clipboardCopy

    public Transferable clipboardCopy()

  Overrides:
    `clipboardCopy` in class `ElementNode`

### clipboardCut

    public Transferable clipboardCut()

  Overrides:
    `clipboardCut` in class `ElementNode`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.openide.src 1.8.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Built on December 7 2006. | Portions Copyright 1997-2005 Sun Microsystems, Inc. All rights reserved.